Issue 120175 - SVG Export: fixed gradient export, added XInitialization interface, supporting TSpans
SVG Export: fixed gradient export, added XInitialization interface, supportin...
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: code
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 14:37 UTC by Sven Jacobi
Modified: 2013-07-12 16:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
svg export patch (20.08 KB, patch)
2012-07-03 14:39 UTC, Sven Jacobi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Sven Jacobi 2012-07-03 14:37:20 UTC

    
Comment 1 Sven Jacobi 2012-07-03 14:39:07 UTC
Created attachment 78567 [details]
svg export patch
Comment 2 Sven Jacobi 2012-07-03 14:44:47 UTC
Hi,

I added a patch that improves the svg export. 

- I fixed a down casting issue (gradient color)
- I added the XInitialization Interface, so that FilterData can be provided to the SVGWriter (used if exporting via GraphicProvider)
- I added tSpan (only available if not using the svg tiny profile), this is greatly reducing the size of the svg
- I added a default line width if exporting via GraphicExporter, so a zero linewidth should look much better now

Best regards,
Sven
Comment 3 Armin Le Grand 2012-07-06 15:53:06 UTC
ALG: Hi Sven, thanks for the changes! I'll have a look at them as soon as I'm back from vacation :-)
Comment 4 Armin Le Grand 2012-07-25 11:43:17 UTC
ALG: Looked at the patch, built, test exported, looks good.
Adding to trunk...
Comment 5 SVN Robot 2012-07-25 11:50:01 UTC
"alg" committed SVN 0 into trunk:
#120175# SVG export fixes and enhancementsPatch by: Sven JacobiReview by: alg
Comment 6 Armin Le Grand 2012-07-25 11:50:30 UTC
ALG: Done. Thanks again, Sven. Good Job!